DESKTOPTOJSON(8)

NAME
desktoptojson - Converteert een .desktop-bestand naar een .json-bestand.

SAMENVATTING

desktoptojson --input DESKTOP-BESTAND --output JSON-BESTAND

desktoptojson {--version | --help}

BESCHRIJVING

Het KService framework gebruikt informatie in .desktop bestanden om services te lokaliseren, inclusief plug-ins voor op Qt5 gebaseerde toepassingen en bibliotheken. Het Qt5 plug-insysteem gebruikt echter JSON gegevens ingebed in de plug-in zelf. desktoptojson stelt u in staat de informatie in een .desktop-bestand ook als de ingebedde gegevens voor een Qt5 plug-in te gebruiken door de items in het .desktop-bestand te converteren in JSON-gegevens.

De gegenereerde JSON-gegevens zijn een JSON-object met overeenkomende items uit de groep [Desktop Entry] van het .desktop-bestand. Elke andere groepen worden genegeerd. De meeste items zijn gewoon geconverteerd naar JSON-tekenreeksen, maar bepaalde items (zoals Hidden en X-KDE-PluginInfo-EnabledByDefault) zijn bekend als booleaanse waarden en zo ook geconverteerd en overeenkomstig sommige (zoals X-KDE-ServiceTypes en X-KDE-PluginInfo-Depends) worden altijd geconverteerd naar arrays van tekenreeksen.

OPTIES

--input DESKTOP-BESTAND
    Het te converteren .desktop-bestand.

--output JSON-BESTAND
    Het bestand waarnaar de gegenereerde JSON-gegevens geschreven worden.

--help
    Een korte helptekst tonen.

--version
    Versie-informatie tonen

GEBRUIK

De meeste gebruikers van dit hulpprogramma zullen de CMake-macro kservice_desktop_to_json gebruiken als onderdeel van het proces van het bouwen van een plug-in.

    add_library(myplugin MODULE ${myplugin_SRCS})
    kservice_desktop_to_json(mijnplugin myplugin.desktop)

Dit zal het JSON-bestand mijnplugin.json produceren, waarnaar gerefereerd kan worden vanuit de K_PLUGIN_FACTORY_WITH_JSON of Q_PLUGIN_METADATA macro's.

FOUTEN/BUGS

Gebruik Volger van bugs van KDE[1] om ze te rapporteren.

AUTEURS

Scarlett Clark <scarlett@scarlettgatelyclark.com>
    Schreef de originele documentatie.

Alex Merry <alexmerry@kde.org>
    Bewerkte de documentatie.

OPMERKINGEN

1.  Volger van bugs van KDE
    http://bugskde.org